
Packaging - Bug #15462

RHEL 7 provided rubygem-ruby-libvirt breaks proxy with libvirt

06/20/2016 03:49 AM - Dominic Cleal

Status: Rejected   

Priority: Normal   

Assignee:    

Category: RPMs   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.12.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/435

  

Description

https://bugzilla.redhat.com/show_bug.cgi?id=1347551 requests a newer version of rubygem-ruby-libvirt for EPEL7, else we could pull

the package update into foreman-packaging.

With the new native libvirt provider smart proxy shows the following error when querying

/dhcp/192.168.122.0 on RHEL 7.2

undefined method `dhcp_leases' for #<Libvirt::Network:0x0000000321b990>

RHEL 7 ships with ruby-libvirt 0.4.0 . This version does not support dhcp_leases for the network object.

When I install ruby-libvirt-0.6.0 directly via rubygems, smart proxy works fine.

We need to either

- document this behaviour (which obviously does not fix the issue)

- package a newer rubygem-ruby-libvirt

Related issues:

Copied from Smart Proxy - Bug #15434: RHEL 7 provided rubygem-ruby-libvirt br... Closed 06/16/2016

History

#1 - 06/20/2016 03:49 AM - Dominic Cleal

- Copied from Bug #15434: RHEL 7 provided rubygem-ruby-libvirt breaks proxy with libvirt added

#2 - 07/04/2016 10:48 AM - Dominic Cleal

- translation missing: en.field_release changed from 136 to 161

#3 - 07/22/2016 09:11 AM - Dominic Cleal

- translation missing: en.field_release changed from 161 to 175

#4 - 07/29/2016 03:21 AM - Dominic Cleal

- Status changed from New to Rejected

- translation missing: en.field_release deleted (175)

Compatible version is now available in EPEL7 testing, so I won't add this to our repos.

Please help test and add karma to https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-65343dc650 after installing with yum upgrade

--enablerepo=epel-testing rubygem-ruby-libvirt
